Refund shortfall
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/shipping/shipments/{order_number}/refund-shortfall \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"product_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"free_quantity": 0
}
],
"bank_account_id": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/shipping/shipments/{order_number}/refund-shortfall"
payload = {
"items": [
{
"product_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"free_quantity": 0
}
],
"bank_account_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
product_id: '<string>',
variant_id: '<string>',
quantity: 123,
free_quantity: 0
}
],
bank_account_id: '<string>'
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/shipping/shipments/{order_number}/refund-shortfall', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true
}Shipping
Refund shortfall
Refund shortfall
POST
/
shipping
/
shipments
/
{order_number}
/
refund-shortfall
Refund shortfall
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Order Number
Body
application/json
Was this page helpful?
⌘I